INSERT INTO `PREFIX_configuration` (`name`, `value`, `date_add`, `date_upd`) VALUES ('PS_TAX_OUT', '0', NOW(), NOW());
INSERT INTO `PREFIX_configuration` (`name`, `value`, `date_add`, `date_upd`) VALUES ('PS_DISPLAY_QTIES', '1', NOW(), NOW());

ALTER TABLE `PREFIX_currency` ADD `iso_code` VARCHAR( 3 ) NOT NULL DEFAULT '0' AFTER `name`;
ALTER TABLE `PREFIX_product_attribute` ADD `default_on` TINYINT( 1 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `weight`;
ALTER TABLE `PREFIX_carrier` ADD `tax` INT( 10 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `deleted`;

ALTER TABLE `PREFIX_order_detail`
 ADD `download_hash` VARCHAR(255) default NULL AFTER `tax_rate`,
 ADD `download_nb` INT(10) unsigned default 0 AFTER `tax_rate`,
 ADD `download_deadline` DATETIME DEFAULT NULL AFTER `tax_rate`;

CREATE TABLE `PREFIX_product_download` (
 `id_product_download` INT(10) unsigned NOT NULL auto_increment,
 `id_product` INT(10) unsigned NOT NULL,
 `display_filename` VARCHAR(255) default NULL,
 `physically_filename` VARCHAR(255) default NULL,
 `date_deposit` DATETIME NOT NULL,
 `date_expiration` DATETIME default NULL,
 `nb_days_accessible` int(10) unsigned default NULL,
 `nb_downloadable` int(10) unsigned default 1,
 PRIMARY KEY  (`id_product_download`)
) DEFAULT CHARSET=utf8;

INSERT INTO `PREFIX_carrier` (`name`, `url`, `active`, `deleted`) VALUES
 ('My download manager', NULL, 1, 0);
INSERT INTO `PREFIX_carrier_lang` (`id_carrier`, `id_lang`, `delay`) VALUES
 (LAST_INSERT_ID(), 1, 'Direct download!'),
 (LAST_INSERT_ID(), 2, 'Téléchargement électronique'),
 (LAST_INSERT_ID(), 3, 'Direct download!');

INSERT INTO `PREFIX_module` (`id_module`, `name`, `active`) VALUES (14, 'editorial', 1);
INSERT INTO `PREFIX_hook_module` (`id_module`, `id_hook`, `position`) VALUES (14, 8, 1);
INSERT INTO `PREFIX_access` (`id_access`, `id_profile`, `id_tab`, `view`, `add`, `edit`, `delete`) VALUES (38, 1, 38, 1, 1, 1, 1);

/* Make clean in tabs */
TRUNCATE TABLE `PREFIX_tab`;
INSERT INTO `PREFIX_tab` (`id_tab`, `id_parent`, `class_name`, `position`) VALUES
(1, 0, 'AdminCatalog', 1),
(2, 0, 'AdminCustomers', 2),
(3, 0, 'AdminOrders', 3),
(4, 0, 'AdminPayment', 4),
(5, 0, 'AdminShipping', 5),
(6, 0, 'AdminStats', 6),
(7, 0, 'AdminModules', 7),
(8, 0, 'AdminPreferences', 8),
(9, 0, 'AdminTools', 9),
(10, 1, 'AdminManufacturers', 1),
(11, 1, 'AdminAttributesGroups', 3),
(12, 2, 'AdminAddresses', 1),
(13, 3, 'AdminOrdersStates', 1),
(14, 4, 'AdminDiscounts', 3),
(15, 4, 'AdminCurrencies', 1),
(16, 4, 'AdminTaxes', 2),
(17, 5, 'AdminCarriers', 1),
(18, 5, 'AdminCountries', 2),
(19, 5, 'AdminZones', 3),
(20, 5, 'AdminRangePrice', 4),
(21, 5, 'AdminRangeWeight', 5),
(22, 7, 'AdminModulesPositions', 1),
(23, 8, 'AdminDb', 6),
(24, 8, 'AdminEmails', 4),
(26, 8, 'AdminImages', 5),
(27, 8, 'AdminPPreferences', 3),
(28, 9, 'AdminContacts', 4),
(29, 9, 'AdminEmployees', 1),
(30, 9, 'AdminProfiles', 2),
(31, 9, 'AdminAccess', 3),
(32, 9, 'AdminLanguages', 5),
(33, 9, 'AdminTranslations', 6),
(34, 1, 'AdminSuppliers', 2),
(35, 9, 'AdminTabs', 7),
(36, 1, 'AdminFeatures', 4),
(37, 9, 'AdminQuickAccesses', 8),
(38, 8, 'AdminAppearance', 2);
INSERT INTO `PREFIX_tab_lang` (`id_lang`, `id_tab`, `name`) VALUES 
(1, 38, 'Appareance'),
(2, 38, 'Apparence');

DELETE FROM `PREFIX_lang` WHERE `id_lang` = 3;

/* Clean currency table */
TRUNCATE TABLE `PREFIX_currency`;
INSERT INTO `PREFIX_currency` (`id_currency`, `name`, `iso_code`, `sign`, `format`, `conversion_rate`, `deleted`) VALUES
(1, 'Euro', 'EUR', '&euro;', 2, 1.00, 0),
(2, 'Dollar', 'USD', '$', 1, 1.38, 0);